Publications

Resolve a publication whose external outcome is unknown

POST
/api/projects/{projectId}/publications/{publicationId}/reconcile

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
publicationId*string
Length1 <= length

Request Body

  1. body
resolution*string
Value in"published""failed"
externalId?string
Length1 <= length
externalUrl?string
Length1 <= length
errorMessage?string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
publication*
Example Request
curl -X POST 'https://postbot.example/api/projects/string/publications/string/reconcile' \
  -H 'Content-Type: application/json' \
  -d '{
  "resolution": "published"
}'
Example Response
{
  "publication": {
    "id": "string",
    "projectId": "string",
    "postId": "string",
    "channelId": "string",
    "targetRevisionId": "string",
    "deliveryMode": "manual",
    "reviewState": "compatible",
    "state": "draft",
    "scheduledAt": -9007199254740991,
    "publishedAt": -9007199254740991,
    "externalId": "string",
    "externalUrl": "string",
    "errorMessage": "string",
    "createdByActorId": "string",
    "scheduledByActorId": "string",
    "stateChangedByActorId": "string",
    "publishedByActorId": "string",
    "lastAssessedProfileVersionId": "string",
    "createdAt": -9007199254740991,
    "updatedAt": -9007199254740991,
    "profileAssessmentIssues": [
      {}
    ]
  }
}

Was this page helpful?